/*
 * tsja.h
 */
#ifndef TSJA_H
#define TSJA_H

extern	int	info_out(const char * fmt, ...);

typedef	struct	tsja_parser {
	int			magic;
	mecab_t *		tagger;
	mecab_node_t *		node;
} tsja_parser;
#define	PARSER_MAGIC	0x00CCFFDD

typedef	struct	tsja_dictionary {
	int			magic;
} tsja_dictionary;
#define	DICTIONARY_MAGIC	0x00BBEEAF

extern	void	set_mecab_dict_path(const char * dict_path);
extern	void	mecab_initialize(void);
extern	void	mecab_finalize(void);

extern	int	to_word_class_id(char * feature);
extern	int	is_all_ascii(char * str, size_t len);
extern	tsja_parser *	start_ja_parser2(char * str, size_t len);
extern	int	ja_gettoken(tsja_parser * ja_parser, char **token, int *len);
extern	char *	ja_lexize(const char * t, int tlen, int *is_stop_word);
extern	void	end_ja_parser(tsja_parser * parser);

extern	char *	to_basic_form2(char * str, size_t len, int *is_stop_word);
extern	char *	to_ruby(char * str);
extern	char *	get_column_from_csv(char * str, int nth);


#endif /* TSJA_H */
